### Method

# Gio OutputStream write_all_async

since: 2.44

#### Declaration

    void
    g_output_stream_write_all_async (
      GOutputStream* stream,
      void* buffer,
      gsize count,
      int io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Request an asynchronous write of `count` bytes from `buffer` into the stream. When the operation is finished `callback` will be called. You can then call `g_output_stream_write_all_finish()` to get the result of the operation.

This is the asynchronous version of g_output_stream_write_all().

Call `g_output_stream_write_all_finish()` to collect the result.

Any outstanding I/O request with higher priority (lower numerical value) will be executed before an outstanding request with lower priority. Default priority is `G_PRIORITY_DEFAULT`.

Note that no copy of `buffer` will be made, so it must stay valid until `callback` is called.

Available since: 2.44

#### Parameters

`buffer`

  Type: An array of `guint8`

  The buffer containing the data to write.

  The length of the array is specified in the `count` argument.
  The data is owned by the caller of the method.

`count`

  Type: `gsize`

  The number of bytes to write.

`io_priority`

  Type: `int`

  The io priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.